#include <core.h>

using Core;

extern "C include" {
 
#include <linux/module.h>
#include <linux/version.h>
#include <linux/string.h>
#include <linux/ctype.h>
#include <linux/ioport.h>
#include <linux/sched.h>
#include <linux/delay.h>
#include <linux/sound.h>
#include <linux/slab.h>
#include <linux/soundcard.h>
#include <linux/pci.h>
#include <asm/io.h>
#include <asm/dma.h>
#include <linux/init.h>
#include <linux/poll.h>
#include <linux/spinlock.h>
#include <linux/smp_lock.h>
#include <linux/ac97_codec.h>
#include <linux/wrapper.h>
#include <asm/uaccess.h>
#include <asm/hardirq.h>

#include "cyclone.h"
#include "cyclone_drivers.h"
}
cyclone_override {
#include <cyc_overrides/pci.h>
#include <cyc_overrides/ioport.h>
#include <cyc_overrides/sched.h>
#include <cyc_overrides/cyclone_drivers.h>
#include <cyc_overrides/wait.h>
#include <cyc_overrides/fs.h>
  //extern int register_sound_dsp(struct file_operations<`a> *fops, int dev);
#include <cyc_overrides/ac97_codec.h>
  //#include <cyc_overrides/soundcard.h>
  
}
export { * }
//cyclone_hide { kmalloc, kfree }
